%define upstream_name    Function-Parameters
%define upstream_version 1.0704

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Information about parameter lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Function/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dir::Self)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module extends Perl with keywords that let you define functions with
parameter lists. It uses Perl's perlapi/PL_keyword_plugin API, so it works
reliably and doesn't require a source filter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.70.400-2.mga6
+ Revision: 1027642
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1.70.400-1.mga6
+ Revision: 978763
- update to 1.0704

* Sat Jan 16 2016 shlomif <shlomif> 1.70.300-1.mga6
+ Revision: 923771
- update to 1.0703

* Sat Jul 04 2015 shlomif <shlomif> 1.60.500-3.mga6
+ Revision: 849926
- Revise the descrption

* Fri Jun 26 2015 sander85 <sander85> 1.60.500-2.mga6
+ Revision: 844244
- Rebuild for perl 5.22

* Sat Jun 20 2015 shlomif <shlomif> 1.60.500-1.mga6
+ Revision: 836749
- update to 1.0605
- imported package perl-Function-Parameters


* Wed Mar 25 2015 cpan2dist 1.0603-1mga
- initial mageia release, generated with cpan2dist
